From 80f23079b4938b93d295c9894a3063afca13ebb9 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 17:45:27 -0800
Subject: [PATCH 2003/2008] Fall back on xcodebuild -sdk when xcrun --sdk is
 not supported

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 make/platform/clang_darwin.mk | 4 ++++
 1 file changed, 4 insertions(+)

diff --git llvm_master/projects/compiler-rt/make/platform/clang_darwin.mk macports_master/projects/compiler-rt/make/platform/clang_darwin.mk
index 910eef6..62ccc6f 100644
--- llvm_master/projects/compiler-rt/make/platform/clang_darwin.mk
+++ macports_master/projects/compiler-rt/make/platform/clang_darwin.mk
@@ -49,6 +49,10 @@ XCRunSdkPath = \
     result=`xcrun --sdk $(1).internal --show-sdk-path 2> /dev/null`; \
     if [ "$$?" != "0" ]; then \
       result=`xcrun --sdk $(1) --show-sdk-path 2> /dev/null`; \
+      if [ "$$?" != "0" ]; then \
+        result=`xcodebuild -sdk $(1) -version 2> /dev/null \
+                | sed -n 's/^Path: \(..*\)$$/\1/p'`; \
+      fi; \
       if [ "$$?" != "0" ]; then result=""; fi; \
     fi; \
     echo $$result)
-- 
2.9.1

